Support » Plugin: WordPress Beta Tester » Trac ticket: Not an error but a hint

  • If I switch from Bleeding Edge or Beta/RC - Bleeding edge it to Point releases, I get an error message:

    Error: Your current WordPress Beta Tester plugin configuration will downgrade your install to a previous version – please reconfigure it.”

    But it is not really an error, since it is my decision to test a future minor release (of 5.3 atm). This should be (imo) “Hint: Your current …”

Viewing 13 replies - 1 through 13 (of 13 total)
  • Plugin Contributor Paul Biron

    (@pbiron)

    Can you please open an issue in the GitHub repo for this?

    Thread Starter Angelika Reisiger

    (@la-geek)

    Sure, I will do this and post the URL here, thanks 🙂

    Plugin Author Andy Fragen

    (@afragen)

    This isn’t as much an error as a warning that your “update” may actually revert to an earlier branch. You will see this if you are on bleeding edge and then switch to point release.

    I suppose many saw this when the API returned the 5.5-alpha shortly after branching for bleeding edge and initial testers may have installed that. Then selecting point release would bring this message.

    It seems there’s a new instruction in the release handbook that should help with not updating to the next alpha while we are all trying to test the RC.

    Thread Starter Angelika Reisiger

    (@la-geek)

    I think this is a persisting error message. It is always shown as described above, no upgrade to 5.5 or so has been done before.

    And yes, hint or warning, both would be okay, but not *error*.

    Plugin Author Andy Fragen

    (@afragen)

    What is your current WP version and what does the Beta Tester show as you next update. This should be on the main Beta Tester settings tab.

    Thread Starter Angelika Reisiger

    (@la-geek)

    I have upgraded with bleeding edge nightlies to version (5.4-RC1-47424).
    Then tools -> beta testing -> click on Point release nightlies -> Save changes

    At the top I see three new messages:

    http://share.getcloudapp.com/7KuRoGJ9

    Plugin Author Andy Fragen

    (@afragen)

    Yes, that is expected. You are currently on the 5.4-RC-xxxx and the point release would “upgrade” to 5.3.3-alpha-xxx. This is essentially a downgrade and therefore the warning notice displays.

    Perhaps we should change this notice to a warning instead of an error.

    Thread Starter Angelika Reisiger

    (@la-geek)

    Perhaps we should change this notice to a warning instead of an error.

    Yes that’s the point. If your read *error* you’ll think, something has damaged or so.
    Should I still open an issue on github?

    Plugin Author Andy Fragen

    (@afragen)

    Please do. This way I can track the change.

    Thread Starter Angelika Reisiger

    (@la-geek)

    Plugin Author Andy Fragen

    (@afragen)

    I have responded on the GitHub issue. Let’s move discussion over there.

    Same issue for me enven till today.

    Plugin Author Andy Fragen

    (@afragen)

    This was changed from error to warning. The message is accurate.

Viewing 13 replies - 1 through 13 (of 13 total)
  • The topic ‘Trac ticket: Not an error but a hint’ is closed to new replies.